# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "bears_species"
version = "0.1.14"
authors = ["Erik Rose <erik.w.rose@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Canonical data types for the bears library."
readme = "README.md"
keywords = [
    "economics",
    "finance",
    "rest",
]
license = "Apache-2.0"
repository = "https://github.com/crumplecup/bears"
resolver = "2"

[lib]
name = "bears_species"
path = "src/lib.rs"

[dependencies.convert_case]
version = "0.8.0"

[dependencies.csv]
version = "1.3.1"

[dependencies.derive-getters]
version = "0.5.0"

[dependencies.derive-new]
version = "0.7.0"

[dependencies.derive_more]
version = "2.0.1"
features = ["full"]

[dependencies.derive_setters]
version = "0.1.8"

[dependencies.indicatif]
version = "0.18.0"
features = [
    "rayon",
    "tokio",
]

[dependencies.jiff]
version = "0.2.15"
features = ["serde"]

[dependencies.nom]
version = "8.0.0"

[dependencies.reqwest]
version = "0.12.24"
features = ["json"]

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.145"

[dependencies.strum]
version = "0.27.2"
features = [
    "derive",
    "strum_macros",
]

[dependencies.tracing]
version = "0.1.41"

[dependencies.url]
version = "2.5.7"
features = ["serde"]
